This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 147811 - CAN-2004-1392 php curl open_basedir bypass
CAN-2004-1392 php curl open_basedir bypass
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=low,public=20041215
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 11:12 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.3.11-2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 03:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-11 11:12:14 EST
*** This bug has been split off bug 147808 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.11
11:02 -------

PHP 4.0 with cURL functions allows remote attackers to bypass the open_basedir
setting and read arbitrary files via a file: URL argument to the curl_init function.

You can verify this issue with this simple php example.

<?php
$ch = curl_init("file:///etc/parla");
$file=curl_exec($ch);
echo $file
?>



The fix for this issue is attachment 110975 [details]
Comment 1 Josh Bressers 2005-02-11 11:12:53 EST
This issue should also effect FC2
Comment 2 Leonard den Ottolander 2005-03-10 09:47:27 EST
Should also affect RHEL 2.1 and 3.
Comment 3 Joe Orton 2005-04-19 03:54:36 EDT
Fixed in 4.3.11 update, thanks for the report:

http://www.redhat.com/archives/fedora-announce-list/2005-April/msg00033.html


Note You need to log in before you can comment on or make changes to this bug.